Visão geral

A biblioteca de cliente Python está hospedada no GitHub e o pacote está disponível em PyPI (em inglês).

A versão 10.0.0 da biblioteca de cliente introduziu diversas alterações na interface que documentamos na seção Versão 10.0.0 da biblioteca.

Requisitos

A biblioteca requer o Python 3.7 ou mais recente. A compatibilidade com o Python 2 foi suspensa na versão 4.0.0 da biblioteca. Para saber mais, consulte esta postagem do blog.

Prerequisites

Antes de instalar a biblioteca, você precisará de um token de desenvolvedor e de um ID de cliente. As instruções sobre como consegui-las estão descritas na seção de pré-requisitos. Observe que você vai gerar os outros tokens OAuth2 necessários nas etapas posteriores.

Instalação

Siga as instruções na nossa documentação de instalação para instalar a biblioteca do PyPi e voltar a esta página.

Configuração

Depois de instalar a biblioteca, é necessário definir uma configuração para ela. Há várias maneiras de configurar a biblioteca, descritas na documentação sobre configuração.

Autenticação

Depois de escolher um tipo de configuração, você poderá gerar os tokens OAuth2 restantes necessários para fazer solicitações à API. Existem vários fluxos compatíveis do OAuth2, que estão documentados na lista abaixo. Para mais detalhes sobre as diferenças entre os fluxos e ajudar a decidir qual é a melhor para seu aplicativo, consulte a documentação do OAuth.

Como fazer uma solicitação de API

Depois de incorporar os tokens OAuth2 à configuração, você estará pronto para fazer uma solicitação de API. Consulte o exemplo get campaigns para ver uma maneira simples de testar se a biblioteca está configurada corretamente para fazer solicitações de APIs.

Outros recursos

Depois de fazer uma solicitação de API, prossiga para estes usos da biblioteca de cliente: